> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Results

<Warning>
  This page does not apply to installs made in 2025 or later of the Depict Shopify apps
</Warning>


## OpenAPI

````yaml post /v2/search/results
openapi: 3.1.0
info:
  title: Depict API
  version: '1.0'
servers: []
security: []
paths:
  /v2/search/results:
    post:
      tags:
        - Search (v2)
      summary: Get Results
      description: >-
        Used to get search results that match the given query. Has support for
        filtering and

        sorting.


        Example response:

        <pre>

        {
           "n_hits": 1,
           "displays": [
             {
                 "product_id": "foobar",
                 "title": "Foobar"
             }
           ],
           "sorts": [
             {
               "field": "_relevance",
               "order": "desc",
               "meta": {
                 "title": "Relevance",
                 "values": [
                   "desc"
                 ],
                 "names": [
                   "Relevance"
                 ]
               }
             },
             {
               "field": "title",
               "order": "asc",
               "meta": {
                 "title": "Title",
                 "values": [
                   "asc",
                   "desc"
                 ],
                 "names": [
                   "A-Z",
                   "Z-A"
                 ]
               }
             }
           ],
           "filters": [
             {
               "field": "sale_price",
               "op": "inrange",
               "data": [
                 0,
                 2500
               ],
               "meta": {
                 "group_title": "Price",
                 "type": "range",
                 "min": 0,
                 "max": 2500,
                 "currency": "EUR"
               },
               "id": "price0"
             },
             {
               "field": "color_name",
               "op": "in",
               "meta": {
                 "group_title": "Color",
                 "type": "checkbox",
                 "values": [
                   "Blue",
                   "Black",
                   "Brown"
                 ]
               },
               "id": "colors1"
             }
           ],
           "search_request_id": "1a278f4a-16eb-4d95-a002-88bd305493d4",
           "cursor": "eyJjIjogMSwgInIiOiAwfQ=="
         }
         </pre>

         Example request body for applying a filter:
         <pre>
         {
            "tenant": "foobar"
            "market": "en",
            "limit": 20,
            "query": "hoodie",
            "filters": [
                {
                    "field": "color_name",
                    "op": "in",
                    "data": ["Blue"]
                }
            ]
         }
         </pre>
      operationId: Get_results_v2_search_results_post
      parameters:
        - name: x-use-db-display-store
          in: header
          required: false
          schema:
            type: boolean
            default: false
            title: X-Use-Db-Display-Store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRequestV2'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
        - APIKeyCookie: []
components:
  schemas:
    SearchRequestV2:
      properties:
        cursor:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Cursor
          description: >-
            Used for cursor-based pagination. Set it to the cursor from the last
            response. If not set, will return the first results.
        limit:
          anyOf:
            - type: integer
              maximum: 250
              minimum: 1
            - type: 'null'
          title: Limit
          description: Maximum number of results per response.
        market:
          type: string
          title: Market
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchFilter'
              type: array
            - type: 'null'
          title: Filters
          description: List of filters to apply to the results.
        sort:
          anyOf:
            - $ref: '#/components/schemas/SortModel-Input'
            - type: 'null'
          description: >-
            Specifies the sorting method. By default, the results are ordered by
            relevance. To find the possible values for this field, query the
            endpoint and look at the `sorts` field.
        session_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Session Id
          description: Session identifier
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: Metadata that can be used to modify the behaviour of the search.
        tenant:
          type: string
          title: Tenant
        locale:
          anyOf:
            - type: string
            - type: 'null'
          title: Locale
          description: >-
            The locale to use for the search. If not set, the default locale
            will be used.
        user_id:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: User Id
          description: User identifier
        dsid:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
          title: Dsid
          description: >-
            Populated for integrations performed by Depict.ai only. Depict.ai
            Session Id
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
          description: The search query.
      additionalProperties: false
      type: object
      required:
        - market
        - tenant
      title: SearchRequestV2
    SearchResponse:
      properties:
        n_hits:
          type: integer
          title: N Hits
          description: Total number of results for this query. Not necessarily exact.
        sorts:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortModel-Output'
              type: array
            - type: 'null'
          title: Sorts
          description: >-
            Available methods for sorting the response. Any element from this
            list can be sent as `sort` in subsequent requests.
        filters:
          anyOf:
            - items:
                $ref: '#/components/schemas/SearchFilter'
              type: array
            - type: 'null'
          title: Filters
          description: >-
            Available filters that can be used for filtering in the subsequent
            request.
        search_request_id:
          type: string
          title: Search Request Id
        cursor:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Cursor
          description: >-
            Cursor that can be used in the next request to get subsequent
            results. If this is not set, there are no more results.
        content_search_links:
          items:
            $ref: '#/components/schemas/ContentLink'
          type: array
          title: Content Search Links
          description: List of links to content pages that match the search query.
        displays:
          items:
            type: object
          type: array
          title: Displays
          description: The search results.
        debug_info:
          anyOf:
            - {}
            - type: 'null'
          title: Debug Info
      additionalProperties: false
      type: object
      required:
        - n_hits
        - search_request_id
        - displays
      title: SearchResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SearchFilter:
      properties:
        field:
          type: string
          title: Field
          description: The field to filter by.
        op:
          type: string
          enum:
            - eq
            - neq
            - in
            - nin
            - leq
            - geq
            - inrange
          title: Op
          description: >-
            The operation used for filtering. The filtering should be read as
            `field op data`, for example `brand in ["Nike", "Adidas"]`.
        data:
          anyOf:
            - type: string
              enum:
                - 'true'
                - 'false'
            - type: number
            - type: integer
            - type: string
            - prefixItems:
                - type: number
                - type: number
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: integer
                - type: integer
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: integer
                - type: number
              type: array
              maxItems: 2
              minItems: 2
            - prefixItems:
                - type: number
                - type: integer
              type: array
              maxItems: 2
              minItems: 2
            - items:
                anyOf:
                  - type: string
                    enum:
                      - 'true'
                      - 'false'
                  - type: number
                  - type: integer
                  - type: string
                  - prefixItems:
                      - type: number
                      - type: number
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: integer
                      - type: integer
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: integer
                      - type: number
                    type: array
                    maxItems: 2
                    minItems: 2
                  - prefixItems:
                      - type: number
                      - type: integer
                    type: array
                    maxItems: 2
                    minItems: 2
              type: array
            - items:
                items:
                  type: string
                type: array
              type: array
            - type: 'null'
          title: Data
          description: Data for the filter.
        meta:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/RangeFilterMeta'
                - $ref: '#/components/schemas/ValuesFilterMeta'
                - $ref: '#/components/schemas/HierarchicalValuesFilterMeta'
              discriminator:
                propertyName: type
                mapping:
                  checkbox:
                    $ref: '#/components/schemas/ValuesFilterMeta'
                  checkbox-color:
                    $ref: '#/components/schemas/ValuesFilterMeta'
                  checkbox-grid:
                    $ref: '#/components/schemas/ValuesFilterMeta'
                  checkbox-hierarchical:
                    $ref: '#/components/schemas/HierarchicalValuesFilterMeta'
                  radio:
                    $ref: '#/components/schemas/ValuesFilterMeta'
                  range:
                    $ref: '#/components/schemas/RangeFilterMeta'
            - type: 'null'
          title: Meta
          description: >-
            Metadata about the filter that can be used for rendering. For
            example, this could contain the possible values to filter by and
            their counts in the results.
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: >-
            ID of the filter. If multiple filters share the same ID, they should
            be grouped together in the UI.
      additionalProperties: false
      type: object
      required:
        - field
        - op
      title: SearchFilter
    SortModel-Input:
      properties:
        field:
          type: string
          title: Field
          description: The field to sort by.
        order:
          allOf:
            - $ref: '#/components/schemas/SortingOrder'
          description: The order to sort by.
        meta:
          anyOf:
            - $ref: '#/components/schemas/SortMeta'
            - type: 'null'
          description: 'Metadata about the sort that can be used for rendering. '
      additionalProperties: false
      type: object
      required:
        - field
        - order
      title: SortModel
    SortModel-Output:
      properties:
        field:
          type: string
          title: Field
          description: The field to sort by.
        order:
          allOf:
            - $ref: '#/components/schemas/SortingOrder'
          description: The order to sort by.
        meta:
          anyOf:
            - $ref: '#/components/schemas/SortMeta'
            - type: 'null'
          description: 'Metadata about the sort that can be used for rendering. '
      additionalProperties: false
      type: object
      required:
        - field
        - order
      title: SortModel
    ContentLink:
      properties:
        type:
          const: content_link
          title: Type
          default: content_link
        title:
          type: string
          title: Title
          description: Title for the content page
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Short human-readable description for the content page
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
          description: URL for the content page image
        page_url:
          type: string
          title: Page Url
          description: URL for the content page
        highlights:
          items:
            $ref: '#/components/schemas/TypesenseHighlights'
          type: array
          title: Highlights
          description: Highlights that show why the search query matched this content page
      additionalProperties: false
      type: object
      required:
        - title
        - description
        - page_url
      title: ContentLink
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    RangeFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
          description: >-
            Title of the group, where a group consists of all the filters that
            share an ID.
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
          description: Whether the filter group should be expanded by default or not.
        type:
          const: range
          title: Type
        min:
          type: number
          title: Min
          description: The minimum value that can be selected in the range.
        max:
          type: number
          title: Max
          description: The maximum value that can be selected in the range.
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
          description: The unit of the range values.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: The currency of the range values.
      additionalProperties: false
      type: object
      required:
        - type
        - min
        - max
      title: RangeFilterMeta
    ValuesFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
          description: >-
            Title of the group, where a group consists of all the filters that
            share an ID.
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
          description: Whether the filter group should be expanded by default or not.
        type:
          type: string
          enum:
            - radio
            - checkbox
            - checkbox-grid
            - checkbox-color
          title: Type
          description: Type of filter.
        values:
          items:
            anyOf:
              - type: string
                enum:
                  - 'true'
                  - 'false'
              - type: number
              - type: integer
              - type: string
              - prefixItems:
                  - type: number
                  - type: number
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: integer
                  - type: integer
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: integer
                  - type: number
                type: array
                maxItems: 2
                minItems: 2
              - prefixItems:
                  - type: number
                  - type: integer
                type: array
                maxItems: 2
                minItems: 2
          type: array
          title: Values
          description: Selectable values
        counts:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Counts
          description: Counts for values
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
          description: >-
            Names for values. This is what should be displayed along with the UI
            item for the value.
      additionalProperties: false
      type: object
      required:
        - type
        - values
      title: ValuesFilterMeta
    HierarchicalValuesFilterMeta:
      properties:
        group_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Group Title
          description: >-
            Title of the group, where a group consists of all the filters that
            share an ID.
        group_expanded:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Group Expanded
          description: Whether the filter group should be expanded by default or not.
        type:
          const: checkbox-hierarchical
          title: Type
        values:
          items:
            items:
              type: string
            type: array
          type: array
          title: Values
          description: Selectable hierarchical values
        counts:
          anyOf:
            - items:
                type: integer
              type: array
            - type: 'null'
          title: Counts
          description: Counts for values
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
          description: >-
            Names for hierarchical values, this is what you should display in
            the UI (not values)
      additionalProperties: false
      type: object
      required:
        - type
        - values
      title: HierarchicalValuesFilterMeta
    SortingOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortingOrder
    SortMeta:
      properties:
        title:
          type: string
          title: Title
        values:
          items:
            $ref: '#/components/schemas/SortingOrder'
          type: array
          title: Values
          description: Selectable values
        names:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Names
          description: >-
            Names for orders (this is what you should display in the UI, not
            values)
      additionalProperties: false
      type: object
      required:
        - title
      title: SortMeta
    TypesenseHighlights:
      properties:
        field:
          type: string
          title: Field
        snippet:
          type: string
          title: Snippet
        matched_tokens:
          items:
            type: string
          type: array
          title: Matched Tokens
      additionalProperties: false
      type: object
      required:
        - field
        - snippet
        - matched_tokens
      title: TypesenseHighlights
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: X-API-KEY

````